org.richfaces.validator

## Class BeanValidatorServiceImpl

- java.lang.Object
- - org.richfaces.validator.BeanValidatorServiceImpl

- All Implemented Interfaces:
    BeanValidatorService

      public class BeanValidatorServiceImpl
      extends Object
      implements BeanValidatorService

  Author:
    asmirnov

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `BeanValidatorServiceImpl.ValidatorKey` Class for identify validator instance by locale

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BeanValidatorServiceImpl(ValueExpressionAnalayser analayser, BeanValidatorFactory validatorFactory)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Collection<ValidatorDescriptor>` | `getConstrains(javax.faces.context.FacesContext context, javax.el.ValueExpression expression, String message, Class<?>... groups)` Get all constrains for given EL-expression
    `protected Collection<String>` | `validate(javax.faces.context.FacesContext facesContext, Class<?> beanType, String property, Object value, Class<?>[] groups)`
    `Collection<String>` | `validateExpression(javax.faces.context.FacesContext context, javax.el.ValueExpression expression, Object newValue, Class<?>... groups)` Validate expression for a new value.
    `Collection<String>` | `validateObject(javax.faces.context.FacesContext context, Object value, Class<?>... groups)` Validate entire object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BeanValidatorServiceImpl

          public BeanValidatorServiceImpl(ValueExpressionAnalayser analayser,
                                          BeanValidatorFactory validatorFactory)

  - ### Method Detail

    - #### getConstrains

          public Collection<ValidatorDescriptor> getConstrains(javax.faces.context.FacesContext context,
                                                               javax.el.ValueExpression expression,
                                                               String message,
                                                               Class<?>... groups)

      Description copied from interface: `BeanValidatorService`

      Get all constrains for given EL-expression

      Specified by:
        `getConstrains` in interface `BeanValidatorService`
        `message` - TODO

    - #### validateExpression

          public Collection<String> validateExpression(javax.faces.context.FacesContext context,
                                                       javax.el.ValueExpression expression,
                                                       Object newValue,
                                                       Class<?>... groups)

      Description copied from interface: `BeanValidatorService`

      Validate expression for a new value.

      Specified by:
        `validateExpression` in interface `BeanValidatorService`

    - #### validate

          protected Collection<String> validate(javax.faces.context.FacesContext facesContext,
                                                Class<?> beanType,
                                                String property,
                                                Object value,
                                                Class<?>[] groups)

    - #### validateObject

          public Collection<String> validateObject(javax.faces.context.FacesContext context,
                                                   Object value,
                                                   Class<?>... groups)

      Description copied from interface: `BeanValidatorService`

      Validate entire object.

      Specified by:
        `validateObject` in interface `BeanValidatorService`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.